<form class="login100-form"
[formGroup]="miFormulario"
(ngSubmit)="register()" autocomplete="off">

  <span class="login100-form-title p-b-49">
      Nuevo usuario
  </span>

  <div class="wrap-input100 m-b-23">
    <span class="label-input100">Nombre</span>
    <input class="input100"
           type="text"
           name="nombre"
           formControlName="nombre"
           placeholder="Ingrese su nombre">
    <span class="text-danger" *ngIf="campoNoValido('nombre')">Debe Ingresar un nombre válido</span>
    <span class="focus-input100"></span>
  </div>

  <div class="wrap-input100 m-b-23">
      <span class="label-input100">Email</span>
      <input class="input100"
             type="email"
             name="email"
             formControlName="email"
             placeholder="Ingrese su email">
      <span class="text-danger" *ngIf="campoNoValido('email')">Debe Ingresar un email válido</span>
      <span class="focus-input100"></span>
  </div>

  <div class="wrap-input100">
      <span class="label-input100">Password</span>
      <input class="input100"
             type="password"
             name="password"
             formControlName="password"
             placeholder="Ingrese su contraseña">
      <span class="text-danger" *ngIf="campoNoValido('password')">Debe Ingresar un password válido</span>
      <span class="focus-input100"></span>
  </div>

  <div class="text-right p-t-8 p-b-31"></div>

  <div class="container-login100-form-btn">
      <div class="wrap-login100-form-btn">
          <div class="login100-form-bgbtn"></div>
          <button class="login100-form-btn"
          type="submit" [disabled]="miFormulario.invalid">
              Registro
          </button>
      </div>
  </div>

  <div class="flex-col-c p-t-60">
      <span class="txt1 p-b-17">
          ¿Ya tienes una cuenta?
      </span>

      <a routerLink="/auth/login" class="txt2">
          Ingresa aquí
      </a>
  </div>
</form>
